VULKAN_HPP_NAMESPACE::ObjectTableEntryNVX Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::ObjectTableEntryNVX:
[legend]

## Public Member Functions

| ObjectTableEntryNVX (ObjectEntryTypeNVX type_=ObjectEntryTypeNVX::eDescriptorSet, ObjectEntryUsageFlagsNVX flags_=ObjectEntryUsageFlagsNVX())
| ObjectTableEntryNVX (VkObjectTableEntryNVX const &rhs)
ObjectTableEntryNVX & | operator= (VkObjectTableEntryNVX const &rhs)
ObjectTableEntryNVX & | setType (ObjectEntryTypeNVX type_)
ObjectTableEntryNVX & | setFlags (ObjectEntryUsageFlagsNVX flags_)
| operator VkObjectTableEntryNVX const & () const
| operator VkObjectTableEntryNVX & ()
bool | operator== (ObjectTableEntryNVX const &rhs) const
bool | operator!= (ObjectTableEntryNVX const &rhs) const

## Data Fields

ObjectEntryTypeNVX | type
ObjectEntryUsageFlagsNVX | flags

## Detailed Description

Definition at line 30966 of file vulkan.hpp.

## Constructor & Destructor Documentation

## ObjectTableEntryNVX() [1/2]

VULKAN_HPP_NAMESPACE::ObjectTableEntryNVX::ObjectTableEntryNVX | ( | ObjectEntryTypeNVX | type_ = `ObjectEntryTypeNVX::eDescriptorSet`,
|  | ObjectEntryUsageFlagsNVX | flags_ = `ObjectEntryUsageFlagsNVX()`
| ) |  |

inline

Definition at line 30968 of file vulkan.hpp.

: type( type_ )
, flags( flags_ )
{
}

## ObjectTableEntryNVX() [2/2]

VULKAN_HPP_NAMESPACE::ObjectTableEntryNVX::ObjectTableEntryNVX | ( | VkObjectTableEntryNVX const & | rhs | ) |

inline

Definition at line 30975 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ObjectTableEntryNVX ) );
}

References memcpy.

## Member Function Documentation

## operator VkObjectTableEntryNVX &()

VULKAN_HPP_NAMESPACE::ObjectTableEntryNVX::operator VkObjectTableEntryNVX & | ( |  | ) |

inline

Definition at line 31002 of file vulkan.hpp.

{
return *reinterpret_cast<VkObjectTableEntryNVX*>(this);
}

## operator VkObjectTableEntryNVX const &()

VULKAN_HPP_NAMESPACE::ObjectTableEntryNVX::operator VkObjectTableEntryNVX const & | ( |  | ) | const

inline

Definition at line 30997 of file vulkan.hpp.

{
return *reinterpret_cast<const VkObjectTableEntryNVX*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ObjectTableEntryNVX::operator!= | ( | ObjectTableEntryNVX const & | rhs | ) | const

inline

Definition at line 31013 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

ObjectTableEntryNVX& VULKAN_HPP_NAMESPACE::ObjectTableEntryNVX::operator= | ( | VkObjectTableEntryNVX const & | rhs | ) |

inline

Definition at line 30980 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ObjectTableEntryNVX ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::ObjectTableEntryNVX::operator== | ( | ObjectTableEntryNVX const & | rhs | ) | const

inline

Definition at line 31007 of file vulkan.hpp.

{
return ( type == rhs.type )
&& ( flags == rhs.flags );
}

References flags, and type.

Referenced by operator!=().

## setFlags()

ObjectTableEntryNVX& VULKAN_HPP_NAMESPACE::ObjectTableEntryNVX::setFlags | ( | ObjectEntryUsageFlagsNVX | flags_ | ) |

inline

Definition at line 30991 of file vulkan.hpp.

{
flags = flags_;
return *this;
}

## setType()

ObjectTableEntryNVX& VULKAN_HPP_NAMESPACE::ObjectTableEntryNVX::setType | ( | ObjectEntryTypeNVX | type_ | ) |

inline

Definition at line 30985 of file vulkan.hpp.

{
type = type_;
return *this;
}

## Field Documentation

## flags

ObjectEntryUsageFlagsNVX VULKAN_HPP_NAMESPACE::ObjectTableEntryNVX::flags

Definition at line 31019 of file vulkan.hpp.

Referenced by operator==().

## type

ObjectEntryTypeNVX VULKAN_HPP_NAMESPACE::ObjectTableEntryNVX::type

Definition at line 31018 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::ObjectTableEntryNVX::ObjectTableEntryNVX
ObjectTableEntryNVX(ObjectEntryTypeNVX type_=ObjectEntryTypeNVX::eDescriptorSet, ObjectEntryUsageFlagsNVX flags_=ObjectEntryUsageFlagsNVX())
Definition: vulkan.hpp:30968
VULKAN_HPP_NAMESPACE::ObjectTableEntryNVX::flags
ObjectEntryUsageFlagsNVX flags
Definition: vulkan.hpp:31019
VULKAN_HPP_NAMESPACE::ObjectTableEntryNVX::operator==
bool operator==(ObjectTableEntryNVX const &rhs) const
Definition: vulkan.hpp:31007
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480
type
GLuint GLuint GLsizei GLenum type
Definition: SDL_opengl.h:1571
VULKAN_HPP_NAMESPACE::ObjectTableEntryNVX::type
ObjectEntryTypeNVX type
Definition: vulkan.hpp:31018
VkObjectTableEntryNVX
Definition: vulkan_core.h:6883